Subject: bug#6866: closed (Re: bug#6866: mule-cmds.el just _assumes_ all of Taiwan uses Big5 and not UTF-8)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Aug 2010 17:40:03 +0000

Your bug report

#6866: mule-cmds.el just _assumes_ all of Taiwan uses Big5 and not UTF-8

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6866: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6866
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6866: mule-cmds.el just _assumes_ all of Taiwan uses Big5 and not UTF-8
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 16 Aug 2010 20:37:30 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Date: Mon, 16 Aug 2010 21:39:10 +0800
> Cc: [email-masked]
> 
> Well anyway, for our locale me and my friends all use zh_TW.UTF-8 and
> stopped using zh_TW.big5 years ago. So at least it looks very dumb there
> in mule-cmds.el that the zh_CN people can use UTF-8, but the HK and TW
> are locked in the dark ages:
> 
>     ("zh_HK" . "Chinese-Big5")
>     ("zh_TW" . "Chinese-Big5")
>     ("zh_CN.UTF-8" . "Chinese-GBK")
>     ("zh_CN" . "Chinese-GB")

Are you sure you understand what this data base is used for in Emacs?

The function within mule-cmds.el which uses this data has this
comment:

    ;; locale-language-names specify both lang-env and coding.
    ;; But, what specified in locale-preferred-coding-systems
    ;; has higher priority.

Thus, if you specify UTF-8 as the preferred encoding (e.g., via
LC_ALL), it overrules the Big5 default.

> The only big5 thing I apparently sometimes still use is
> $ GET http://jidanni.org/comp/configuration/.emacs | grep -i b5
>     (setq default-input-method 'chinese-py-punct-b5))));no 'utf' ones

You are confused: an input method can produce Big5 characters, but
that won't prevent Emacs from encoding them in UTF-8 if that's your
preference.

I'm closing this bug.

Subject: mule-cmds.el just _assumes_ all of Taiwan uses Big5 and not UTF-8
From: [email-masked]
To: [email-masked]
Date: Mon, 16 Aug 2010 19:09:48 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I demand an explanation.
$ zgrep TW mule-cmds.el
    ("zh_TW" . "Chinese-Big5")
You guys just *assume* that all TW people still use Big5.
One can do LC_ALL=zh_TW.UTF-8 until he is blue in the face, but still
  current-language-environment is a variable defined in `mule-cmds.el'.
  Its value is "Chinese-BIG5"
emacs-version "24.0.50.1"